xcb_map_request_event_t(3)

NAME
xcb_map_request_event_t - window wants to be mapped

SYNOPSIS
#include <xcb/xproto.h>

  Event datastructure

typedef struct xcb_map_request_event_t {
    uint8_t      response_type;
    uint8_t      pad0;
    uint16_t     sequence;
    xcb_window_t parent;
    xcb_window_t window;
} xcb_map_request_event_t;

EVENT FIELDS

response_type
    The type of this event, in this case XCB_MAP_REQUEST. This field is also present in the xcb_generic_event_t and can be used to tell events apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

parent
    The parent of window.

window
    The window to be mapped.

DESCRIPTION

SEE ALSO
xcb_generic_event_t(3), xcb_map_window(3)

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.